/*
 * inc.h
 *
 *  Created on: 21/05/2014
 *      Author: yan
 */

#ifndef INC_H_
#define INC_H_

#include <cassert>
#include <chrono>
#include <cmath>
#include <complex>
#include <fstream>
#include <iomanip>
#include <iostream>
#include <random>
#include <string>
#include <unistd.h>
#include <unordered_set>
#include <valarray>
#include <vector>

#define RANDOM 0 // Set to 1 if noise should be random each iteration

using namespace std;

static const double C = 3e+8; // velocity of light in m/sec
const complex<double> J(0.0, 1.0);

#endif /* INC_H_ */
